html, body {
    margin: 0;
    padding: 0;
    font-family: Hanken Grotesk, sans-serif;
    color: #eeeeec;
    width: 100%;
    height: auto;
    min-height: 100%;
}

.topBar {
    background-color: #222326;
    height: 70px;
    width: 100vw;
    position: fixed;
    top: 0;
    left: 0;
    display: flex;
    z-index: 100;
}

.logo {
    height: 70px;
    margin-left: 30px;
}

.navbar {
    background-color: #222326;
    transition: 500ms;
    width: 60px;
    height: 60px;
    margin-left: 30px;
    margin-top: 5px;
    border-radius: 15px;
    overflow: hidden;
    filter: brightness(1.3);
}

.navbar:hover {
    width: 300px;
    height: 480px;
}

.navbar-field {
    transition: 200ms;
    white-space: nowrap;
    height: 60px;
    width: 300px;
    display: flex;
    align-items: center;
    margin-bottom: 10px;
    border-radius: 15px;
}

.navbar-text {
    font-size: 22px;
    font-weight: bold;
    margin-left: 10px;
    color: white;
}

.navbar-field:hover {
    background-color: #5D5C61;
}

.navbar-img {
    text-align: center;
    display: inline-block;
    font-size: 26px;
    color: white;
    width: 60px;
}

.userImg {
    height: 50px;
    width: 50px;
    position: fixed;
    right: 10px;
    top: 10px;
    border-radius: 100%;
    transition: 300ms;
}

.userImg-open {
    width: 80px;
    height: 80px;
    right: 20px;
    top: 10px;
}

.userImg:hover {
    cursor: pointer;
}

.rightBar {
    background-color: #222326;
    width: 130px;
    height: 0;
    top: 70px;
    right: 0;
    z-index: 50;
    position: fixed;
    overflow: hidden;
    transition: 300ms;
    border-radius: 0 0 0 1rem;
}

.rightBar-open {
    filter: brightness(1.2);
    height: 250px;
    padding-bottom: 1rem;
}

.rightBar-text {
    text-align: center;
    font-size: 16px;
    margin-top: 1rem;
    font-weight: bold;
}

.rightBar-list > :first-child {
    margin-top: 2rem;
}

.rightBar-text:hover {
    text-decoration: underline;
}

.button-underline:hover {
    text-decoration: underline red;
    color: red;
    cursor: pointer;
}

.navbarMobile, .menuBar-open, .menuBar-container {
    visibility: hidden;
}

.show {
    visibility: visible;
    transition: opacity 0.3s ease, transform 0.3s ease;
}

.menuBar-container {
    display: flex;
    align-items: center;
    text-align: center;
    height: 35px;
    margin-top: 1rem;
    margin-left: 1rem;
}

.languageContainer {
    margin-top: 1rem;
    font-weight: bold;
    display: flex;
    flex-direction: column;
    align-items: center;
}

@media (max-width: 1024px) {
    .topBar {
        justify-content: space-between;
    }

    .navbar {
        display: none;
    }

    .logo {
        margin-left: 1rem;
        margin-top: 0.5rem;
        height: 50px;
        margin-right: 3rem;
    }

    .navbarMobile {
        visibility: visible;
        margin: 1rem 0 0 1rem;
        align-items: center;
    }

    .fa-bars {
        font-size: 40px;
        transition: transform 0.3s ease-in-out;
    }

    .fa-bars.active {
        transform: rotate(180deg);
    }

    .menuBar-container {
        visibility: visible;
    }

    .navbar-field {
        width: 250px;
    }

    .menuBar-open {
        position: fixed;
        flex-direction: column;
        left: 0;
        top: 70px;
        padding-right: 1rem;
        width: fit-content;
        border-radius: 0 0 2rem 0;
        filter: brightness(1.2);
        opacity: 0;
        background-color: #222326;
    }

    .menuBar-open.show {
        opacity: 1;
        pointer-events: auto;
    }
}
